using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bbiwarg.Recognition.Tracking
{
    abstract class TrackableObject
    {
        public int TrackID { get; private set; }

        public TrackableObject() {
            TrackID = 0;
        }

        abstract public float getSimilarity(TrackableObject compareObject);

        public void setTrackID(int id) {
            TrackID = id;
        }
    }
}
